%define upstream_name    TermReadKey
%define upstream_version 2.33

Summary:    Term::ReadKey Perl module
Name:       perl-Term-ReadKey
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    GPL
Group:      Development/Perl
Source0:    http://search.cpan.org/CPAN/authors/id/J/JS/JSTOWE/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module, ReadKey, provides ioctl control for terminals so the
input modes can be changed (thus allowing reads of a single character
at a time), and also provides non-blocking reads of stdin, as well as
several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
# (tv) paralel build is broken:
make

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.330.0-4.mga6
+ Revision: 1033938
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.330.0-3.mga6
+ Revision: 958073
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.330.0-2.mga6
+ Revision: 845308
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.330.0-1.mga6
+ Revision: 840716
- New version 2.33 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 2.320.0-4.mga5
+ Revision: 744954
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.320.0-3.mga5
+ Revision: 686376
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 tv <tv> 2.320.0-2.mga5
+ Revision: 632106
- fix build

  + pterjan <pterjan>
    - Rebuild for perl 5.20

  + jquelin <jquelin>
    - update to 2.32

* Fri Feb 07 2014 sander85 <sander85> 2.310.0-1.mga5
+ Revision: 585286
- update to 2.31

* Sat Oct 19 2013 umeabot <umeabot> 2.30-16.mga4
+ Revision: 524080
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 2.30-15.mga4
+ Revision: 429971
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.30-14.mga3
+ Revision: 373279
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.30-13.mga3
+ Revision: 251190
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.30-12.mga2
+ Revision: 103577
- perl 5.14

* Tue Jan 18 2011 blino <blino> 2.30-11.mga1
+ Revision: 23272
- rebuild for new perl

  + jquelin <jquelin>
    - imported package perl-Term-ReadKey

